#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <vs1000.h>

#include <player.h>
#include <mappertiny.h>
#include <minifat.h>
#include <vsNand.h>
#include <audio.h>

#include <dev1000.h>

#include "mlc8k.h"

/*
  Only large-page FLASH supported.
*/

extern struct FsPhysical *ph;
extern struct FsMapper *map;

void main(void) {
#if 0
    /* Set the leds after nand-boot! */
    PERIP(GPIO1_ODATA) |=  LED1;      /* POWER led on */
    PERIP(GPIO1_DDR)   |=  LED1|LED2; /* SI and SO to outputs */
    PERIP(GPIO1_MODE)  &= ~(LED1|LED2); /* SI and SO to GPIO */
#endif
    {
	register int i;
	for(i=0;i<16;i++) {
	    Large8kPageReadSingle(ph, (MLCINIT>>9) + i, 1,
				  mallocAreaX+i*512/2, minifatBuffer);
	}
    }
    BootFromX(mallocAreaX+8);
    /* should not return */
}
